%define rpm_clean 1
%define desktop_file 1
%define desktop_file_utils_version 0.2.93
%define DATE %{nil}

Name: kdeedu
Version: 3.0.3
%if "%{DATE}" == ""
Release: 1
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/%{name}-%{version}.tar.bz2
Patch: kdeedu-3.0.1-destdir.patch
%else
Release: 0.cvs%{DATE}.1
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/%{name}-%{DATE}.tar.bz2
%endif
Summary: Educational/Edutainment applications for KDE
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildPrereq: kdebase-devel >= 3.0.2
BuildPrereq: qt-devel >= 3.0.4
%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif
BuildRoot: %{_tmppath}/%{name}-root

%description
Educational/Edutainment applications for KDE

%package -n keduca
Summary: Tests and Exams
Group: User Interface/Desktops

%description -n keduca
Tests and Exams

%package -n kgeo
Summary: Interactive Geometry
Group: User Interface/Desktops

%description -n kgeo
Interactive Geometry

%package -n klettres
Summary: French alphabet tutor
Group: User Interface/Desktops

%description -n klettres
French alphabet tutor

%package -n kmessedwords
Summary: Letter Order Game
Group: User Interface/Desktops

%description -n kmessedwords
Letter Order Game

%package -n kstars
Summary: Desktop Planetarium
Group: User Interface/Desktops

%description -n kstars
Desktop Planetarium

%package -n ktouch
Summary: Touch Typing Tutor
Group: User Interface/Desktops

%description -n ktouch
Touch Typing Tutor

%package -n kvoctrain
Summary: Vocabulary Trainer
Group: User Interface/Desktops

%description -n kvoctrain
Vocabulary Trainer

%prep
%if "%{DATE}" == ""
%setup
%patch -p1 -b .makefile
%else
%setup -n %{name}
%endif
unset QTDIR || : ; . /etc/profile.d/qt.sh
[ -e configure ] || make -f Makefile.cvs
%configure --includedir=%{_includedir}/kde

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Education;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Edutainment/*.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Edutainment/French/*.desktop
%endif

%files -n keduca
%defattr(-,root,root)
%{_bindir}/keduca
%if %{desktop_file}
%{_datadir}/applications/*keduca.desktop
%else
%{_datadir}/applnk/Edutainment/keduca.desktop
%endif
%{_datadir}/apps/keduca
%{_datadir}/mimelnk/application/x-edu.desktop
%{_datadir}/icons/*/*/*/keduca*

%files -n kgeo
%defattr(-,root,root)
%{_bindir}/kgeo
%if %{desktop_file}
%{_datadir}/applications/*kgeo.desktop
%else
%{_datadir}/applnk/Edutainment/kgeo.desktop
%endif
%{_datadir}/apps/kgeo
%{_datadir}/icons/*/*/*/kgeo*
%doc %{_docdir}/HTML/en/kgeo

%files -n klettres
%defattr(-,root,root)
%{_bindir}/klettres
%{_datadir}/apps/klettres
%{_datadir}/icons/*/*/*/klettres*
%if %{desktop_file}
%{_datadir}/applications/*klettres.desktop
%else
%{_datadir}/applnk/Edutainment/French
%endif
%doc %{_docdir}/HTML/en/klettres

%files -n kmessedwords
%defattr(-,root,root)
%{_bindir}/kmessedwords
%if %{desktop_file}
%{_datadir}/applications/*kmessedwords.desktop
%else
%{_datadir}/applnk/Edutainment/kmessedwords.desktop
%endif
%{_datadir}/apps/kmessedwords
%{_datadir}/icons/*/*/*/kmessedwords*

%files -n kstars
%defattr(-,root,root)
%{_bindir}/kstars
%if %{desktop_file}
%{_datadir}/applications/*kstars.desktop
%else
%{_datadir}/applnk/Edutainment/kstars.desktop
%endif
%{_datadir}/apps/kstars
%{_datadir}/icons/*/*/*/kstars*
%doc %{_docdir}/HTML/en/kstars

%files -n ktouch
%defattr(-,root,root)
%{_bindir}/ktouch
%if %{desktop_file}
%{_datadir}/applications/*ktouch.desktop
%else
%{_datadir}/applnk/Edutainment/ktouch.desktop
%endif
%{_datadir}/apps/ktouch
%{_datadir}/icons/*/*/*/ktouch*
%doc %{_docdir}/HTML/en/ktouch

%files -n kvoctrain
%defattr(-,root,root)
%{_bindir}/kvoctrain
%{_bindir}/*kvtml
%if %{desktop_file}
%{_datadir}/applications/*kvoctrain.desktop
%else
%{_datadir}/applnk/Edutainment/kvoctrain.desktop
%endif
%{_datadir}/apps/kvoctrain
%{_datadir}/icons/*/*/*/kvoctrain*
%{_datadir}/icons/kvoctrain*
%doc %{_docdir}/HTML/en/kvoctrain

%clean
%if %{rpm_clean}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}
%endif

%changelog
* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-3
- desktop file issues
- fixed a bug in install (bug #69414)
 
* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
